Subject: Re: [PATCH] General CHRP/MPC5K2 platform support patch

From: Sven Luther <[email-masked]>
Date: Thu, 26 Oct 2006 01:13:25 +0200

On Thu, Oct 26, 2006 at 09:06:16AM +1000, Benjamin Herrenschmidt wrote:
> > > * serial stuff / IBP Freq. As this frequency is MPC52xx specific. I
> > > think it would make sense to add a new func mpc52xx_getipbfreq(void).
> > > The way it would be implemented may depend of the architecture. Our
> > > firmware contains an 'ipb-freq' property in '/builtin/'.
> 
> BTW. I forgot to comment on the above in my previous mail... As I said,
> there should be no such thing. Instead, the IPB freq should be in the
> device-tree.

Euh, how is this different from having our "firmware contains an 'ipb-freq'
property in '/builtin/'". There is no an ipb-freq property in the device tree,
so you need a function to be able to get it from the the device tree, which i
believe what is proposed here.

Friendly,

Sven Luther